
using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.FO
{
    /// <summary>
    /// 班前会议记录与会人员表
    /// </summary>
    [Description("班前会议附件")]
    public class T_FO_PRE_SHIFT_MEETING_RECORD_FILE : MesEntityBase
    {
        [DataFieldForeignKey("Nav_PreShiftMeetingRecord", "Nav_Files")]
        [Description("班前会议ID")]
        public Guid PRE_SHIFT_MEETING_RECORD_ID { get; set; }

        [DataFieldForeignKey("Nav_ImgFile")]
        [Description("图片文件ID")]
        public Guid IMG_FILE_ID { get; set; }

        [Description("导航：班前会议表")]
        public virtual T_FO_PRE_SHIFT_MEETING_RECORD Nav_PreShiftMeetingRecord { get; set; }

        [Description("导航：图片文件表")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
